import 'dart:html';

import 'package:example/tabbar_example.dart';
import 'package:flutter/material.dart';
import 'package:npay_component/button_widget/np_button.dart';
import 'package:npay_component/components/appbar/search_bar.dart';
import 'package:npay_component/components/text_field/text_field_default.dart';
import 'package:npay_component/styles/font_scale.dart';

void main() {
  RatioScreenApp.setRatio(1.0);
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'NPComponent Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(title: 'NPComponent'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);
  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  final ctr1 = TextEditingController();
  final ctr2 = TextEditingController();
  final ctr3 = TextEditingController();
  final _scaffoldKey = GlobalKey<ScaffoldState>();
  String errorT = '';
  String errorT2 = '';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Column(
        children: [
          Container(
            height: 100,
          ),
          NPButton.primary(
              isActive: true, title: 'NPButtonPrimary', onPressed: () => print('NPButtonPrimary')),
          Container(
            height: 100,
          ),
          // NPButton.secondary(
          //     isActive: true,
          //     title: 'NPButtonSecondary',
          //     onPressed: () => print('NPButtonSecondary')),
          SearchBar(
            controller: ctr2,
            onSearch: (v) {
              print(v);
            },
            autoFocus: true,
          ),
          TextFieldDefault(
            controller: ctr1,
            hintText: 'Demo',
            labelText: 'haha',
            onChange: (v) {},
          ),
          Container(
            height: 100,
          ),
          TextFieldDefault(
            controller: ctr1,
            hintText: 'Demo',
            onChange: (v) {},
          ),
          Container(
            height: 100,
          ),
          TextFieldDefault(
            controller: ctr1,
            hintText: 'Demo',
            onChange: (v) {},
          ),
          // TextButton(
          //     onPressed: () {
          //       Navigator.of(context).push(
          //           MaterialPageRoute(builder: (context) => TabBarExample()));
          //     },
          //     child: Container(
          //       child: Text('tabbar'),
          //     ))
        ],
      ),
    );
  }
}
